Hello Word Angular
This is my {{title}}
<br>
My Ninja Neme is {{ninjaName}}
<button type="button" (click)="ninjaConsole()">ninja Console</button>
<br>
<button type="button" (click)="ChangeNinjaName('Sakura')">Change Ninja Name Sakura</button>
<br>
<button type="button" (click)="ChangeNinjaName('Sasuke')">Change Ninja Name Sasuke</button>
<br>
<br>
<span>มา 4 จ่าย 3</span>
<div>
  <input #priceBuffetInput type="text" name=""  placeholder="ราคาบุฟเฟ่">
  <button (click)="calBuffet(priceBuffetInput.value)">คำนวณ</button>
</div>
<span>
  คนละ {{valueprice}} บาท
</span>
<br>

<app-action-bar (counterChange)="testNumberChange($event)" [step]="5"></app-action-bar>
<br>
<button (click)="testClick()">testClick</button>

<app-max-min-meter 
[minlabel]="appMinLabel" [maxlabel]="appMaxLabel" 
(maxChange)="doAppMaxChange($event)" (minChange)="doAppMinChange($event)"
></app-max-min-meter>

<br>

<app-sqaure-flex [divheight]="sqaureHeigth" [divwidth]="sqaureWidth"></app-sqaure-flex>
<div>
  width:
  <button type="button" (click)="sqaureWidth=50">50px</button>
  <button type="button" (click)="sqaureWidth=100">100px</button>
  <button type="button" (click)="sqaureWidth=200">200px</button>
</div>

<br>

<app-action-bar [(counter)]="appcounter" [step]="10"></app-action-bar>
<app-sqaure-flex [divwidth]="appcounter"></app-sqaure-flex>

<br>

<div *ngIf="activate else elseTemplate">
  <app-action-bar></app-action-bar>
</div>
<ng-template #elseTemplate>
  <div>
    activate now
  </div>
</ng-template>

<button type="button" (click)="activate=true">activate</button>

<app-action-bar [inputdisplay]="false"></app-action-bar>
<app-action-bar [inputdisplay]="true"></app-action-bar>

{{customerList[0]}}

<ul>
  <li *ngFor="let customer of customerList ; let i = index">{{customer}}
    <button type="button" (click)="spliceCustomer(i)">splice</button>
  </li>
</ul>

<button type="button" (click)="pushCustomer()">push</button>
<button type="button" (click)="unshiftCustomer()">unshift</button>
<!-- <button type="button" (click)="spliceCustomer()">splice</button> -->
<br>

<app-test-request-get></app-test-request-get>

<br>

<h5>Float Label</h5>
<span class="p-float-label">
    <input id="float-input" type="text" pInputText [(ngModel)]="value2"> 
    <label for="float-input">Username</label>
</span>

<br>
<p-table [value]="cars">
  <ng-template pTemplate="header">
      <tr>
          <th>Year</th>
          <th>Brand</th>
      </tr>
  </ng-template>
  <ng-template pTemplate="body" let-myCar>
      <tr>
          <td>{{myCar.year}}</td>
          <td>{{myCar.brand}}</td>
      </tr>
  </ng-template>
</p-table>

<app-shopping-cart></app-shopping-cart>

<app-shopping-search (onSearch)="searchProduct($event)"></app-shopping-search>

<div>
  <div *ngFor="let product of filteredProduct">
    {{product.name}}
  </div>
</div>
